// $Id$

// Copyright (C) 2009 Dr. Georg Troska <georg.troska@tu-dortmund.de>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#ifndef I2C_h
#define I2C_h

//#define SCL PD4
//#define SDA PD3
#include <avr/io.h>

void I2CstartCondition (void);
void I2CstopCondition (void);
void I2CsendByte (unsigned char data);
unsigned char I2CgetByte (void);
char * I2CreadDateTime (void);
void I2CwriteDateTime (char myData[]);
void I2CgetTimeStr(char * out);
void I2CgetDateStr(char * out);

void I2CsetTime(uint8_t hour, uint8_t min, uint8_t sec);
void I2CsetDate(uint8_t year, uint8_t month, uint8_t day); //Year from 0-99


#endif
