// $Id$

// Copyright (C) 2009 Dr. Georg Troska <georg.troska@tu-dortmund.de>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#ifndef GLOBALVARS_H
#define GLOBALVARS_H

#include <avr/io.h>
#include <avr/eeprom.h>

uint16_t c1000[8];
uint16_t c1400[8];


int16_t temps[10][8];
uint8_t currentTempPos;
uint8_t datime[6]; //year,month,day,hour,min,sec
uint8_t newDatime[6]; // to store the datime when the clock is set
uint8_t SDInterval;

uint8_t isCal1000;
uint8_t isCal1400;
uint16_t showR;

/* EEPROM */
extern uint8_t eeIsCal1000 EEMEM;
extern uint8_t eeIsCal1400 EEMEM;
extern uint16_t eeC1000[] EEMEM;
extern uint16_t eeC1400[] EEMEM;
extern uint8_t eeSDInterval EEMEM;

#endif
