// $Id$

// Copyright (C) 2009 Dr. Georg Troska <georg.troska@tu-dortmund.de>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#include "interval.h"

getIntervalString(char * str, uint8_t interval) {
	switch(interval) {
		case k1Sec:
			strcpy(str,"1 Sekunde");
			break;
		case k2Sec:
			strcpy(str,"2 Sekunden");
			break;
		case k5Sec:
			strcpy(str,"5 Sekunden");
			break;
		case k10Sec:
			strcpy(str,"10 Sekunden");
			break;
		case k30Sec:
			strcpy(str,"30 Sekunden");
			break;
		case k1Min:
			strcpy(str,"1 Minute");
			break;
		case k2Min:
			strcpy(str,"2 Minuten");
			break;
		case k5Min:
			strcpy(str,"5 Minuten");
			break;
		case k10Min:
			strcpy(str,"10 Minuten");
			break;
		case k30Min:
			strcpy(str,"30 Minuten");
			break;
		case k1h:
			strcpy(str,"1 Stunden");
			break;
		case k2h:
			strcpy(str,"2 Stunden");
			break;
		case k6h:
			strcpy(str,"6 Stunden");
			break;
		case k12h:
			strcpy(str,"12 Stunden");
			break;
		case k1d:
			strcpy(str,"1 Tag");
			break;
	} 
}
