// $Id$

// Copyright (C) 2009 Dr. Georg Troska <georg.troska@tu-dortmund.de>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#ifndef INTERVAL_H
#define INTERVAL_H
#include <avr/io.h>

enum Interval {
	k1Sec = 1,
	k2Sec = 2,
	k5Sec = 3,
	k10Sec = 4,
	k30Sec = 5,
	k1Min = 6,
	k2Min = 7,
	k5Min = 8,
	k10Min = 9,
	k30Min = 10,
	k1h = 11,
	k2h = 12,
	k6h = 13,
	k12h = 14,
	k1d = 15
	
	
};

getIntervalString(char * str, uint8_t interval);

#endif
